#include <iostream>
#include <string>
using namespace std;
int main()
{
    int a1, a2, i;
    string c1;
    string c2;
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    if(a1 == a2){
        for(i = 1; i <= a1; i ++)
        cout << c2 << c1;
        
    }
    else if(a1 == a2 - 1  || a2 == a1 - 1){
       if(a1 < a2){
            for(i = 1; i <= a1; i ++)
            cout << c2 << c1;
            cout << c2;
        }
        else{
            for(i = 1; i <= a2; i ++)
            cout << c1 << c2;
            cout << c1;
        }
    }
    else{
        cout << "nemoguce";
    }
        
    
}